import {
  ELEMENT_SEARCH_RESULT_MOCK_ALIAS,
  ELEMENT_SEARCH_RESULT_MOCK_REACTION,
} from '@/models/mocks/elementSearchResultMock';
import * as handleReactionResults from '../mapSingleClick/handleReactionResults';
import { handleSearchResultForRightClickAction } from './handleSearchResultForRightClickAction';
import * as handleBioEntityResults from './handleBioEntityResults';

jest.mock('./handleBioEntityResults', () => ({
  __esModule: true,
  handleBioEntityResults: jest.fn().mockImplementation(() => (): null => null),
}));
jest.mock('../mapSingleClick/handleReactionResults', () => ({
  __esModule: true,
  handleReactionResults: jest.fn().mockImplementation(() => (): null => null),
}));

const handleBioEntityResultsSpy = jest.spyOn(handleBioEntityResults, 'handleBioEntityResults');
const handleReactionResultsSpy = jest.spyOn(handleReactionResults, 'handleReactionResults');

describe('handleSearchResultForRightClickAction - util', () => {
  const dispatch = jest.fn();

  beforeEach(() => {
    jest.clearAllMocks();
  });

  describe('on ALIAS search results', () => {
    const searchResults = [ELEMENT_SEARCH_RESULT_MOCK_ALIAS];

    it('should fire handleBioEntityResults', async () => {
      await handleSearchResultForRightClickAction({ searchResults, dispatch });
      expect(handleBioEntityResultsSpy).toBeCalled();
    });
  });

  describe('on REACTION search results', () => {
    const searchResults = [ELEMENT_SEARCH_RESULT_MOCK_REACTION];

    it('should fire handleReactionResults', async () => {
      await handleSearchResultForRightClickAction({ searchResults, dispatch });
      expect(handleReactionResultsSpy).toBeCalled();
    });
  });
});
