/* eslint-disable no-magic-numbers */

import { ZOOM_FACTOR } from '@/constants/common';

export const getMaxClickDistance = (
  maxZoom: number,
  zoom: number,
  searchDistance: string,
): number => {
  const distance = parseFloat(searchDistance);

  if (typeof distance !== 'number' || Number.isNaN(distance)) {
    throw new Error('Invalid search distance. Please provide a valid number.');
  }

  const zoomDiff = maxZoom - zoom;
  const maxDistance = distance * ZOOM_FACTOR ** zoomDiff;

  return maxDistance;
};
