import { createSlice } from '@reduxjs/toolkit';
import {
  getOverlayBioEntityForAllModelsReducer,
  getOverlayBioEntityReducer,
  removeOverlayBioEntityForGivenOverlayReducer,
} from './overlayBioEntity.reducers';
import { OverlaysBioEntityState } from './overlayBioEntity.types';

const initialState: OverlaysBioEntityState = {
  overlaysId: [],
  data: [],
};

export const overlayBioEntitySlice = createSlice({
  name: 'overlayBioEntity',
  initialState,
  reducers: {
    removeOverlayBioEntityForGivenOverlay: removeOverlayBioEntityForGivenOverlayReducer,
  },
  extraReducers: builder => {
    getOverlayBioEntityReducer(builder);
    getOverlayBioEntityForAllModelsReducer(builder);
  },
});

export const { removeOverlayBioEntityForGivenOverlay } = overlayBioEntitySlice.actions;
export default overlayBioEntitySlice.reducer;
